@if (componentData$ | async; as componentData) {
  <div class="flex-fixed-size side-bar">
    <div class="anchor-bar">
      <div
        class="anchor-group remove-chrome-router-link-border automation-link"
        [attr.data-test-anchor-link-id]="'assignee'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../assignee'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.programmer-view.assign-to-me.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:assigned_to_me"
            nzTheme="outline"
          ></i>
          @if (componentData.nbAssignedAutomReq > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbAssignedAutomReq }}</span>
            </div>
          }
        </div>
      </div>
      <div
        class="anchor-group remove-chrome-router-link-border automation-link"
        [attr.data-test-anchor-link-id]="'treat'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../treat'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.programmer-view.treatment.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:unassigned"
            nzTheme="outline"
          ></i>
          @if (componentData.nbAutomReqToTreat > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbAutomReqToTreat }}</span>
            </div>
          }
        </div>
      </div>
      <div
        class="anchor-group remove-chrome-router-link-border automation-link"
        [attr.data-test-anchor-link-id]="'global'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../global'"
        (click)="hideContextualContent()"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="
            'sqtm-core.automation-workspace.programmer-view.global.label'
              | translate
          "
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-automation:global_view"
            nzTheme="outline"
          ></i>
          @if (componentData.nbTotal > 0) {
            <div class="anchor-counter">
              <span>{{ componentData.nbTotal }}</span>
            </div>
          }
        </div>
      </div>
    </div>
    <ng-content></ng-content>
  </div>
}
